>From cca0945cfaf3d37a031fcbde09a3d98448c811f0 Mon Sep 17 00:00:00 2001
From: Stefan Tauner <stefan.tauner@student.tuwien.ac.at>
Date: Thu, 25 Jul 2013 21:02:48 +0200
Subject: [PATCH] Add board enable for Pc Partner 845EAS4-262.

Signed-off-by: Stefan Tauner <stefan.tauner@student.tuwien.ac.at>
---
 board_enable.c | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/board_enable.c b/board_enable.c
index a4de790..d44721a 100644
--- a/board_enable.c
+++ b/board_enable.c
@@ -1680,6 +1680,11 @@ static int intel_ich_gpio18_raise(void)
 	return intel_ich_gpio_set(18, 1);
 }
 
+static int intel_ich_gpio19_lower(void)
+{
+	return intel_ich_gpio_set(19, 0);
+}
+
 /*
  * Suited for:
  *  - MSI MS-7046: LGA775 + 915P + ICH6
@@ -2436,6 +2441,7 @@ const struct board_match board_matches[] = {
 	{0x10DE, 0x0270, 0x1462, 0x7207,  0x10DE, 0x0264, 0x1462, 0x7207, NULL,         NULL, NULL,           P3, "MSI",         "MS-7207 (K8NGM2-L)",    0,   NT, nvidia_mcp_gpio2_raise},
 	{0x10DE, 0x0360, 0x1462, 0x7250,  0x10DE, 0x0368, 0x1462, 0x7250, NULL,         NULL, NULL,           P3, "MSI",         "MS-7250 (K9N SLI)",     0,   OK, nvidia_mcp_gpio2_raise},
 	{0x1011, 0x0019, 0xaa55, 0xaa55,  0x8086, 0x7190,      0,      0, NULL,         NULL, NULL,           P3, "Nokia",       "IP530",                 0,   OK, fdc37b787_gpio50_raise_3f0},
+	{0x8086, 0x1A30,      0,      0,  0x8086, 0x244B,      0,      0, "^i845E-PC87366$", NULL, NULL,      P3, "PC Partner",  "845EAS4-262",           0,   OK, intel_ich_gpio19_lower},
 	{0x8086, 0x24d3, 0x144d, 0xb025,  0x8086, 0x1050, 0x144d, 0xb025, NULL,         NULL, NULL,           P3, "Samsung",     "Polaris 32",            0,   OK, intel_ich_gpio21_raise},
 	{0x1106, 0x3099,      0,      0,  0x1106, 0x3074,      0,      0, NULL,         "shuttle", "ak31",    P3, "Shuttle",     "AK31",                  0,   OK, w836xx_memw_enable_2e},
 	{0x1106, 0x3104, 0x1297, 0xa238,  0x1106, 0x3059, 0x1297, 0xc063, NULL,         NULL, NULL,           P3, "Shuttle",     "AK38N",                 256, OK, NULL},
-- 
Kind regards, Stefan Tauner

